<?php

// Number of records to show per page:
$display = 10;

if (isset($_GET['s'])) {
	$start = $_GET['s'];
} else {
	$start = 0;
}

//use realanswers rest api class to request xml response
global $rsapi;

$xml = $rsapi->question($start,$display);

//parse total number of records from response
$num_records = $xml->questions['total_results'];
	
// Determine how many pages there are. 
if (isset($_GET['np'])) { // Already been determined.

	$num_pages = $_GET['np'];

} else { // Need to determine.

	// Calculate the number of pages.
	if ($num_records > $display) { // More than 1 page.
		$num_pages = ceil ($num_records/$display);

    } else {
		$num_pages = 1;
	}
	
} // End of np IF.
		
		
		$htm = "<div class='realanswers_questions'>";
		
		$real_title = get_option('real_location_value');
 
		$htm .= "<h2 class='question_post_title'>Recent Questions in $real_title</h2>";
		
		//url structure to answers
		$ans_url_structure = get_bloginfo('url')."/realanswers/answers";
		
		foreach ($xml->questions->question as $question) {
		$id = $question['id'];
		$answers = $question->answers;
		$title = $question->title;

		//print_r($xml);
		
		$htm .= "<h3 class='question_title'><a href='$ans_url_structure?question_id=$id'>".$title."</a></h3>";
		
		$linktitle = $question->links->link['title'];
		$text = $question->links->link['text'];
		$rel = $question->links->link['rel'];
		$href = $question->links->link['href'];

		$htm .= "<p class='question_answer'>".$answers." Answers - <a href='$href' rel='$rel' title='$linktitle' target='_blank' class='question_link'>$text</a></p>";
		}

//url structure to questions
$q_url_structure = get_bloginfo('url')."/realanswers/questions";

		
// Make the links to other pages, if necessary.
if ($num_pages > 1) {
	
	// Determine what page the script is on.	
	$current_page = ($start/$display) + 1;
	
	// If it's not the first page, make a Previous button.
	if ($current_page != 1) {
		$htm .= "<span class=\"previous realanswers-page-numbers\" ><a href=\"$q_url_structure?s=" . ($start - $display) ."&np=" . $num_pages . "\">Previous</a></span> ";
	}
	
	// Make all the numbered pages.
	for ($i = 1; $i <= $num_pages; $i++) {
		if ($i != $current_page) {
			$htm .= "<span class=\"realanswers-page-numbers\" ><a href=\"$q_url_structure?s=" . (($display * ($i - 1))) . "&np=" . $num_pages . "\">" . $i . "</a></span> ";
		} else {
		    $htm .= '<span class="realanswers-page-numbers current">';
     		$htm .= $i;
			$htm .= '</span>';
			$htm .= ' ';
		}
	}
	
	// If it's not the last page, make a Next button.
	if ($current_page != $num_pages) {
		$htm .= "<span class=\"next realanswers-page-numbers\" ><a href=\"$q_url_structure?s=" . ($start + $display) . "&np=" . $num_pages . "\">Next</a></span>";
	}

} // End of links section.

$htm .= "</div>";

return $htm;	
?>