<?php
//register all settings
function register_realanswers_options_parameter(){
register_setting('realanswers_settings', 'real_apikey');
register_setting('realanswers_settings', 'real_max_results');
register_setting('realanswers_settings', 'real_location_type');
register_setting('realanswers_settings', 'real_location_value');
register_setting('realanswers_settings', 'real_custom_css');
}
add_action('admin_init','register_realanswers_options_parameter');

//constructs admin page
function realanswers_admin(){

     if(isset($_POST['submitted1'])== 'yea-update'){

			 //check nonce
			 check_admin_referer('realanswers_settings-options');
			 
			 $rs_error = array();//declare errors as array
			 
			 //check for errors in posted values!
			 
			 if (empty ($_POST['real_apikey'])){
             $rs_error[] = 'API KEY is empty, please key in API KEY from RealtyBaron.';
             }
			 
			 if (empty ($_POST['real_max_results']) || !ctype_digit ($_POST['real_max_results']) ) {
			 $rs_error[] = 'Max results in sidebar: is empty or non-digit entered. Please enter a number, such as 5.'; 
			 }
			 
			 if (empty ($_POST['real_location_value'])){
             $rs_error[] = 'Location Value: is empty, please key in a location.'; 
             }
			 
			 // if no error proceed to update value into options database
			 if(empty($rs_error)){
			 //assign posted value
			 $real_apikey = stripslashes($_POST['real_apikey']);
			 $real_max_results = stripslashes($_POST['real_max_results']);
			 $real_location_type = stripslashes($_POST['real_location_type']);
			 $real_location_value = stripslashes($_POST['real_location_value']);
			 $real_custom_css = stripslashes($_POST['real_custom_css']);
			 
			 //update post value into WordPress Database 
			 update_option('real_apikey',$real_apikey);
			 update_option('real_max_results',$real_max_results);
			 update_option('real_location_type',$real_location_type);
			 update_option('real_location_value',$real_location_value);
			 update_option('real_custom_css',$real_custom_css);
			 
			 //print success message 
			 echo "<div  id=\"message\" class=\"updated fade\"><p><strong>Options Updated!</strong></p></div>";
			 
			 }
			 //else if error found
			 else{
			 
			  //Display error message!
			  echo "<div id=\"message\" class=\"updated fade\"><p><strong>There are problems with the following field(s),</strong></p><ol>";
			
			  foreach($rs_error as $rs_errors){
			  echo "<li>$rs_errors</li>\n";
				}		  
				
			  echo "</ol><p><strong>Please note that, empty fields will revert to last settings updated by you.</strong></p></div>";
			 
			 }//end of checking error
	  
	 }//end of if(isset($_POST['submitted1'])== 'yea-update')

?>

<div class="wrap">

<div id="icon-options-general" class="icon32"><br /></div><h2>RealAnswers Settings</h2>
<br/>

<form name="RealanswersForm" id="RealanswersForm" method="post" action="">

<?php settings_fields('realanswers_settings'); ?>

<p>
  <strong>API Key:</strong> 
  <input type="text" name="real_apikey" style="width:200px" value="<?php $real_apikey = get_option('real_apikey'); echo $real_apikey; ?>"/>
  (Need an API key?  <a href="http://www.realtybaron.com/agent/ContactUs.htm?subject=API Key">Request one here</a>)
</p>

<p>
  <strong>Max results in sidebar:</strong> 
  <input type="text" name="real_max_results" style="width:25px" value="<?php $real_max_results = get_option('real_max_results'); echo $real_max_results; ?>"/>
</p>

<p>
   <strong>Location Type:</strong> 
   <select id="real_location_type" name="real_location_type">
   <?php $real_loca = get_option('real_location_type');?>
   <option value="metro" <?php if($real_loca == 'metro'){echo 'selected="selected"';}?> >Metro</option>
   <option value="city" <?php if($real_loca == 'city'){echo 'selected="selected"';}?> >City</option>
   <option value="zipcode" <?php if($real_loca == 'zipcode'){echo 'selected="selected"';}?> >ZIP code</option>
   <option value="address" <?php if($real_loca == 'address'){echo 'selected="selected"';}?> >Address</option>
   </select>
</p>

<p>
<strong>Location Value:</strong> 
<input type="text" id="real_location_value" name="real_location_value" style="width:200px" value="<?php $real_location_value= get_option('real_location_value'); echo $real_location_value; ?>"/>
</p>

<p>
<strong>Custom CSS:</strong><br />
<textarea id="real_custom_css" name="real_custom_css" style="width:90%;height:300px;">
<?php $real_custom_css = get_option('real_custom_css'); echo $real_custom_css;?>
</textarea><br />
<p><u>Custom CSS Instructions</u></p>
<ol>
<li>Paste or type your Custom Style codes in the above textarea to block out Default Styles.</li>
<li>You can view the Default CSS <a href="http://www.realtybaron.com/api/realanswers/default.css" target="_blank">here</a>.</li>
<li>Please do not type in &lt;style type="text/css"&gt;&lt;/style&gt;</li>
<li>Leave option blank if not using.</li>
</ol>

</p>

<p class="submit">
<input type="hidden" name="submitted1" value="yea-update"/>
<input type="submit" name="submit" value="Update Options" class="button-primary" />
</p>

</form>

</div>

<?php

}//end of admin page

//add admin page to WordPress
function  realanswers_admin_addpage() {
	 
	 add_options_page('RealAnswers', 'RealAnswers', 8, 'realanswers_admin.php', 'realanswers_admin');
	 
}
add_action('admin_menu', 'realanswers_admin_addpage');

//function to remove style tags stored in variable
function realanswers_remove_style_tags($arg){
$prefix = array("<style type=\"text/css\">","<style type='text/css'>","</style>");
$remove_prefix = array(" "," "," ");
$newcode = str_replace($prefix, $remove_prefix, $arg);
return $newcode;
}

//hook custom css code to wp_head()
function realanswers_custom_css_in_head(){
	$code = get_option('real_custom_css');
	
	if(!empty($code)){
	
	$cleaned_code = "<!--Start Custom Embedded Style by RealAnswers WordPress Plugin-->\n";
	$cleaned_code .= "<style type=\"text/css\" media=\"screen\">\n"; 
	$cleaned_code .= realanswers_remove_style_tags($code);
	$cleaned_code .= "\n</style>\n";
	$cleaned_code .= "<!--End of style-->\n";
	
	print $cleaned_code;
	
	}
   
}
add_action('wp_head','realanswers_custom_css_in_head');
?>