<?php
//functions other than the realanswers rest api are found below.

// load scripts into theme
function load_realanswers_script(){
//register realanswers_form_validation.js script
wp_register_script('realanswers_form_validation', plugins_url('realanswers_form_validation.js',__FILE__));
//load realanswers_form_validation.js script
wp_enqueue_script('realanswers_form_validation', plugins_url('realanswers_form_validation.js',__FILE__));
// load api style
wp_enqueue_style( 'realanswers_default_css', 'http://www.realtybaron.com/api/realanswers/default.css', $deps, '1.0', 'screen' );
} 

//add script to theme <head>
add_action('init', 'load_realanswers_script');

//function to delete options after deleting plugin
function realanswers_remove_options_hook() {
			 //delete option
			 delete_option('real_apikey',$real_apikey);
			 delete_option('real_max_results',$real_max_results);
			 delete_option('real_location_type',$real_location_type);
			 delete_option('real_location_value',$real_location_value);
			 delete_option('real_custom_css',$real_custom_css);

}
//registering uninstall hook
if ( function_exists('register_uninstall_hook') )
    register_uninstall_hook(__FILE__, 'realanswers_remove_options_hook');
	//function to hook location value as html <title> in <head>

//hook in value as html <title> in <head>
//For SEO purpose
//For questions
function hook_question_html_title($content){
    if(is_page('realanswers/questions')){
	$doc_title = get_option('real_location_value');
	$html_title = "Recent Questions in ".$doc_title;
	echo $html_title;
	}else{echo $content;}
}
//hook in html <title> in <head>
add_filter('wp_title','hook_question_html_title');



//function to create new question form
function create_realanswers_question_form($formtitle,$context,$location,$subject,$body,$tag,$notify_me,$fname,$lname,$email,$status_message){

//create form
$form = '<div class="realanswers_question_form">';
$form .= "<h2 class='question_form_title'>$formtitle</h2>";

$form .= '<form action="" method="post" name="question_form" id="question_form">';

//form errors
$form .= "<div id=\"realanswers_form_errors\">$status_message</div>";


//subject 
$form .= '<div id="form_subject" class="form_elements">';
$form .= '<label id="subject_label">Subject:</label>';
$form .= "<input name=\"subject\" id=\"subject\" type=\"text\" value=\"$subject\" style=\"width:100%\"  maxlength=\"90\">";
$form .= '</div>';

//body
$form .= '<div id="form_body" class="form_elements">';
$form .= '<label id="question_detail_label">Question Detail:</label>';
$form .= "<textarea name=\"question_detail\" id=\"question_detail\" style=\"width:100%;height:100px\">$body</textarea>";
$form .= '</div>';


//tags
$form .= '<div id="form_tags" class="form_elements">';
$form .= "<label id='tags_label'>Tags: </label><input name=\"tags\" id=\"tags\" type=\"text\" value=\"$tag\" maxlength=\"90\">";
$form .= '</div>';


//location type
$form .= '<div id="form_location" class="form_elements form_location_elements">';
$form .= '<label id="location_label">Location: </label>';
$form .='<select name="location_type" id="location_type" col="50px" onchange="real_toggle_location_value()">';

//check location type
if(empty($context)){
$real_loca = get_option('real_location_type');
}else{$real_loca = $context;}

if($real_loca == 'metro'){$metro = 'selected="selected"';};
if($real_loca == 'city'){$city = 'selected="selected"';};
if($real_loca == 'zipcode'){$zipcode = 'selected="selected"';};
if($real_loca == 'address'){$address = 'selected="selected"';};

//check location value
if(empty($location)){
$real_loca_value = get_option('real_location_value');
}else{$real_loca_value = $location;}

$form .= "<option value=\"metro\" $metro>Metro</option><option value=\"city\" $city>City</option><option value=\"zipcode\" $zipcode>ZIP code</option><option value=\"address\" $address>Address</option></select> ";

//location value
$form .= " <input name='location_name' id='location_name' type='text' value='$real_loca_value'>";
$form .= '</div>';

//check status of notify me check box
if($notify_me=='true'||!empty($fname)||!empty($lname)||!empty($email)){
$notify_check = checked;
$particular_display = 'block';
}else{$particular_display = 'none';
}

//First name

$form .= "<div id=\"realanswers_particulars\" style=\"display:$particular_display;margin:0px 0px 20px 0px\">";

$form .= '<div id="form_fname" class="form_elements">';
$form .= "<label id='fname_label'>First Name: </label><input name=\"fname\" id=\"fname\" value=\"$fname\" type=\"text\" maxlength=\"90\">";
$form .= '</div>';

//Last name
$form .= '<div id="form_lname" class="form_elements">';
$form .= "<label id='lname_label'>Last Name: </label><input name=\"lname\" id=\"lname\" value=\"$lname\" type=\"text\" maxlength=\"90\">";
$form .= '</div>';

//Email
$form .= '<div id="form_email" class="form_elements">';
$form .= "<label id='email_label'>Email: </label><input name=\"email\" id=\"email\" value=\"$email\" type=\"text\" maxlength=\"90\">";
$form .= '</div>';

$form .= '</div>';//end of div real answers particulars

//Terms of use
$form .= '<div id="form_tou" class="form_elements">';
$form .= '<label id="tou_label">Terms of Use: </label><p class="tou_terms">I understand the advice or opinions I received will NOT constitute a legal binding client relationship with any of the real estate professionals who respond to my question.</p>';
$form.= '</div>';

//terms of use in hidden input
$form .= '<div id="form_tou_hidden" class="form_elements">';
$form .= "<input name=\"tou\" id=\"tou\" value=\"I understand the advice or opinions I received will NOT constitute a legal binding client relationship with any of the real estate professionals who respond to my question.\" type=\"hidden\" >";
$form.= '</div>';

//notify checkbox
$form .= '<div id="form_checkbox" class="form_elements">';
$form .= "<input name=\"notify_me\" id=\"notify_me\" type=\"checkbox\" value=\"true\" onclick=\"show_realanswers_particulars()\" $notify_check ><label id='notify_me_label'>Email me when answers to this question are posted</label>";
$form .= '</div>';

//submit button
$form .= '<div id="form_submit" class="form_elements">';
$form .= '<input type="hidden" name="process" value="yes_process"/>';
$form .= '<input type="submit" id="form_submit_button" value="Ask">';
$form .= '</div>';

$form .= '</form>';

$form .= '</div>';

return $form;
}
?>