<?php
/*
*Realanswers Sidebar Widget
*
*/ 

//add widget
add_action( 'widgets_init', 'load_realanswers_sidebar_widget' );

//function to register widget
function load_realanswers_sidebar_widget() {
	register_widget( 'RealAnswersWidget' );
}

class RealAnswersWidget extends WP_Widget {

	function RealAnswersWidget() {

	$widget_ops = array( 'classname' => 'realanswers', 
	'description' => __('A Widget to get questions from and post questions to RealtyBaron\'s RealAnswers API  ', 'realanswers') );
    
	$control_ops = array( 'width' => 200, 'height' => 350, 'id_base' => 'realanswers' );

	$this->WP_Widget( 'realanswers', __('RealAnswers Widget', 'realanswers'), $widget_ops, $control_ops );

	}


	function widget( $args, $instance ) {
		extract( $args );

		$title = apply_filters('widget_title', $instance['title'] );

		echo $before_widget;

		if ( $title )
		echo $before_title . $title . $after_title;
		
		//check options API Key
		$check_key = get_option('real_apikey');
		
		//if api key not empty, proceed to do api call
		//else display error message
		if(!empty($check_key)){
        
		//use realanswers rest api class to request xml response
        global $rsapi;

        $xml = $rsapi->sidebar_widget_question();
	
		//get status code 400 error 200 ok
		$status_code = $xml->status['code'];
		
		if($status_code = "400"){
		
		$html = "<div class='realanswers_widget_response'>"; 
		
		//catch error message for status 400
		foreach ($xml->status->messages as $mess){ 
			
		$errormessage = $mess->message;
		
		echo "<p class='sidebar_error'>".$errormessage."</p>";	
				
		}
		
		$html .= "</div>";
		
		echo $html;
		
		}//end if($status_code = "400")		
		
		//check status code 200 is ok 400 is error
		if($status_code = "200"){

		$html = "<div class='realanswers_widget_response'>";   
		//url structure of answers
    	$api_url_structure = get_bloginfo('url')."/realanswers/answers";

		foreach ($xml->questions->question as $question) {
		
		$id = $question['id'];
		$answers = $question->answers;
		$title = $question->title;

		$html .= "<div class=\"sidebar_q_and_a\">";

		$html .= "<div class='sidebar_question'><a href='$api_url_structure?question_id=$id'>".$title."</a></div>";
		
		$html .= "<div class='sidebar_answers'>".$answers." answer(s)</div>";

		$html .= "</div>";
		
		}
		
		$action_url_raw = get_bloginfo('url')."/realanswers/newquestions";
		
		$action_url = esc_url($action_url_raw);
		
		$html .="<div class='sb_form_title'>Got a Real Estate Question?</div>";
		
		$html .= "<form action=\"$action_url\" method=\"post\" name=\"realanswers_sidebar_form\" id=\"realanswers_sidebar_form\">";
		
		//subject
		$html .= '<div id="sb_form_subject" class="sb_form_elements">';
		$html .= "<textarea name=\"subject\" id=\"sb_subject\"";
		$html .= "onfocus=\"this.value=(this.value=='Ask your question here....') ? '' : this.value;\" onblur=\"this.value=(this.value=='') ? 'Ask your question here....' : this.value;\">Ask your question here....</textarea>";
		$html .= '</div>';

	
		//submit button
		$html .= '<div id="sb_form_submit" class="sb_form_elements">';
		$html .= '<input type="hidden" name="process_sidebar_form" value="yes_process"/>';
		$html .= '<input type="submit" id="sb_form_submit_button" value="Ask">';
		$html .= '</div>';
		

		$html .= "</form>";
			
		$all_question_url_structure = get_bloginfo('url')."/realanswers/questions";
		
		$html .= "<p class='sidebar_links'><a href='$all_question_url_structure'>View all Questions</a></p>";
		
		//$new_question_url_structure = get_bloginfo('url')."/realanswers/newquestions";
		
		//$html .= "<p class='sidebar_links'><a href='$new_question_url_structure'>Ask a Question</a></p>";
		
		$html .= "<p class='sidebar_links'><a href='http://wordpress.org/extend/plugins/realanswers'>Powered By RealAnswers</a></p>";
		
		$html .= "</div>";
		
		echo $html;
        
		}//end if($status_code = "200")
		
 	   }else{ echo "<p class='sidebar_error'>You must configure the RealAnswers plug-in first.</p>";
	          echo "<p class='sidebar_error'>Please click on the following link and login to plugins settings page.</p>";
	          
			  $plugin_admin_url_structure = get_bloginfo('url')."/wp-admin/options-general.php?page=realanswers_admin.php";
			  
			  echo "<a href='$plugin_admin_url_structure' class='sidebar_links'>RealAnswers Admin Settings</a>";
	  
	        }//end if(!empty($check_key))
			
		echo $after_widget;
	}//end of function widget


	function update( $new_instance, $old_instance ) {

		$instance = $old_instance;

		$instance['title'] = strip_tags( $new_instance['title'] );

		return $instance;
	}


	function form($instance) {
		
		$instance = wp_parse_args( (array) $instance, array( 'title' => '') );

	    $instance['title'] = strip_tags( $instance['title'] );

?>
			<p><label for="<?php echo $this->get_field_id('title'); ?>">Title: <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $instance['title']; ?>" /></label>
            </p>
			
            <p>
<?php
	}
}
?>